#ifndef NTPSERVERFORM_H
#define NTPSERVERFORM_H

#include <QWidget>
#include "device/NtpServer.h"

namespace Ui {
class NtpServerForm;
}

class NtpServerForm : public QWidget
{
    Q_OBJECT

public:
    explicit NtpServerForm(QWidget *parent = nullptr);
    ~NtpServerForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);
    void displayDeviceCommandOnForm(QJsonObject command);

private slots:
    void on_ntpServButt_clicked();

private:
    Ui::NtpServerForm *ui;
};

#endif // NTPSERVERFORM_H
